QT       += core gui serialport widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

TARGET = TestSerialPortSM

INCLUDEPATH +=  \
    MainWindow  \
    ComPort     \
    StateMachine \

include($$PWD/ComPort/ComPort.pri)
include($$PWD/MainWindow/MainWindow.pri)
include($$PWD/StateMachine/StateMachine.pri)

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES = Resources/rc.qrc

RC_FILE = Resources/tsprc.rc

release {
    win32 {
        DESTDIR = $$OUT_PWD/../../TestSerialPortSMRelease
    }
}
