#ifndef SETTINGSDIALOGCOMPORT_H
#define SETTINGSDIALOGCOMPORT_H
//*********************************************************************************************************************


#include <QDialog>
#include <QLabel>
#include <QComboBox>
#include <QBoxLayout>
//*********************************************************************************************************************


class SettingsDialogComPort : public QDialog
{
    Q_OBJECT
public:
    explicit SettingsDialogComPort(QDialog *parent = nullptr);
    ~SettingsDialogComPort();
    QString GetPortName(void);
    QPushButton * apply;
    void FillPortsInfo(void);

private:
    void SetupPort(void);
    void ApplySettings(void);
    void ClearSettings(void);

    QLabel * info;
    QPushButton * cancel;
    QHBoxLayout * buttonsLay;
    QWidget * buttons;
    QLabel * pt;
    QVBoxLayout * mainLay;

    QString currentPort;
    quint16 currentIndex = 0;
    QComboBox * portSelectComboBox;

signals:
};
//*********************************************************************************************************************


#endif // SETTINGSDIALOGCOMPORT_H
//*********************************************************************************************************************
